post
https://api.instantpay.in/identity/okyc/qr
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Headers
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code - 1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client ID | M | Y |
| X-Ipay-Client-Secret | String | Unique secret key | M | Y |
| X-Ipay-Endpoint-Ip | String | Customer End Point Ip Address | M | N |
Request Parameters
| Name | Type | Requirement | Description |
|---|---|---|---|
| mobile | String | Optional | Mobile Number of User |
| String | Optional | Email Id of User | |
| latitude | String | Mandatory | End Customer Latitude |
| longitude | String | Mandatory | End Customer longitude |
| consent | Enum (Y/N) | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/okyc/qr' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
"mobile" : "9835799007",
"email" : "",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"consent" : "Y",
"externalRef" : "{{random}}"
}POST /identity/okyc/qr HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 152
{
"mobile" : "9835799007",
"email" : "",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"consent" : "Y",
"externalRef" : "{{random}}"
}'Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action code |
| status | String | Staus Message |
| data | Array | Response Data (If Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:MM:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live/Sandbox |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "QR String Generated Successfully",
"data": {
"qrStatus": "PENDING",
"qrExpiryDt": "2026-09-17 13:20:02",
"qrString": "https://maadhaar.com/getIntent?value=28702295717375805335537868909449099340685555579844311566046065790383693204282735954779826128681728444946673160090682632683740545096552094566669345729019184847665705027780279145007385658076398413671116054808484682268782893028261258688703421195269752609169238616744765335503890635562332698486872451750635942938846453575401153235693605024253964900354227741356281037624852817567246564701661955555638353321254485895674804729523851046097807900288635063465090493694027284431385569427987898524140526968494886492892000454542343673723283715881645666908138397259062608277557018905904948110239912698320542175702617466189070369917950498678352761585251023830544417201490243983567368674817721820938184091757922980094560506748778117043401157047598514707696719010583557845033516632899713740651755184498676433574664021880199812105055396800860843434757512757681010777462540627347027527886034339424944942000495959559239588112844686220256063811892630763707434805201094931213262127422964569607620451562173203829768276811482880973226829441712579672694306374096540372895267363480019515061929013873971980044020385652156732299032525554240784322525649356188038100267443177926005835715747751529773262249905341195958994408159419029412482541520808367888430919068674169997284137368645308342843725390423595046367681048871507300980882175309757803387221263706689528220064680300580566567216270876319722777190611909488460218279619405350725030082399404762267988297981099028187142306881962853173356499646455283578875040090880505764038665590746482173803491480282289403580678543032926138767973192264565330332049539465936576980654269625676820996635831635348863644272169182114701435256154484836484859496949306217264330211060040474414448372423753016767833157078863158720389335056972803380983626250883348536657256408694319195000699782490022731187667117396620440950843075564435083849364549371610963244120455539214022424195627593747164939277422397531183604323057664"
},
"timestamp": "2026-09-17 13:15:02",
"ipay_uuid": "h000a2c4189c-7241-486a-9d49-2517b05b8fa1-gG8kqFvY68xn",
"orderid": null,
"environment": "LIVE",
"internalCode": null
}
